privilegeTargets:
  #
  # Privileges for creating nodes.
  #
  'Neos\ContentRepository\Security\Authorization\Privilege\Node\CreateNodePrivilege':
    'Newland.CityTheme:CreateNodeFinder':
      matcher: createdNodeIsOfType("Newland.CityTheme:NodeFinder")
  
  'PunktDe\InspectorVisibility\Security\Authorization\Privilege\InspectorVisibilityPrivilege':
    'PunktDe.InspectorVisibility:AdminFields':
      matcher: "${nodeTypeName == 'Newland.CityTheme:FrontPage' && tabName == 'theme'}"

roles:
  'Neos.Neos:Editor':
    privileges:
      -
        privilegeTarget: Neos.Media.Browser:ManageAssetCollections
        permission: GRANT

  'Neos.Neos:Administrator':
    privileges:
      -
        privilegeTarget: 'Newland.CityTheme:CreateNodeFinder'
        permission: GRANT
  
  'Newland.CityTheme:ToubizSiteEditor':
    parentRoles: ['Neos.Neos:Editor']
    privileges:
      -
        privilegeTarget: 'PunktDe.InspectorVisibility:AdminFields'
        permission: DENY
